[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'math' (#rtl)

# sinh

Return hyperbolic sine

## Declaration

Source position: math.pp line 289

`function sinh(`
`x: float`
`):float;`

## Description

Sinh returns the hyperbolic sine of its argument x.

## See also

cosh |  | Return hyperbolic cosine
arsinh |  | Return inverse hyperbolic sine
tanh |  | Return hyperbolic tangent
artanh |  | Return inverse hyperbolic tangent

## Example

    Program Example42;

    { Program to demonstrate the sinh function. }

    Uses math;

    begin
      writeln(sinh(0));
      writeln(sinh(1));
      writeln(sinh(-1));
    end.

Documentation generated on: Feb 26 2014